Subject: Re: [Xen-devel] Re: linux-next: Tree for July 25 (xen)

From: Ingo Molnar <[email-masked]>
Date: Fri, 5 Aug 2011 10:05:31 +0200

* Randy Dunlap <[email-masked]> wrote:

> On 08/04/11 15:40, Konrad Rzeszutek Wilk wrote:
> > On Thu, Aug 04, 2011 at 06:32:59PM -0400, Konrad Rzeszutek Wilk wrote:
> >>>>> These build failures are still triggering upstream:
> >>>>>
> >>>>>  arch/x86/xen/trace.c:44:2: error: array index in initializer not of integer type
> >>>>>  arch/x86/xen/trace.c:44:2: error: (near initialization for ‘xen_hypercall_names’)
> >>>>>  arch/x86/xen/trace.c:45:1: error: ‘__HYPERVISOR_arch_4’ undeclared here (not in a function)
> >>>>>  arch/x86/xen/trace.c:45:2: error: array index in initializer not of integer type
> >>>>>  arch/x86/xen/trace.c:45:2: error: (near initialization for ‘xen_hypercall_names’)
> >>>>
> >>>> Oh, that I haven't seen. Can you send me the .config for that please.
> >>>
> >>> You can't be trying very hard then.  I see lots of these (but no,
> >>
> >> Ah, I am getting it now. Thanks for reporting it.
> > 
> > This should do the trick:
> 
> Acked-by: Randy Dunlap <[email-masked]>

That patch did the trick here too:

Acked-by: Ingo Molnar <[email-masked]>

Thanks,

	Ingo